# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateAndTimeAssignment Class Reference

`#include <StepBasic_DateAndTimeAssignment.hxx>`

Inheritance diagram for StepBasic_DateAndTimeAssignment:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aRole)
Standard_EXPORT void | SetAssignedDateAndTime (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime)
Standard_EXPORT Handle_StepBasic_DateAndTime | AssignedDateAndTime () const
Standard_EXPORT void | SetRole (const Handle(StepBasic_DateTimeRole)&aRole)
Standard_EXPORT Handle_StepBasic_DateTimeRole | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_DateAndTime | assignedDateAndTime
Handle_StepBasic_DateTimeRole | role

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_DateAndTime StepBasic_DateAndTimeAssignment::AssignedDateAndTime | ( |  | ) | const

Standard_EXPORT const StepBasic_DateAndTimeAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_CcDesignDateAndTimeAssignment, StepAP214_AppliedDateAndTimeAssignment, StepAP214_AutoDesignActualDateAndTimeAssignment, and StepAP214_AutoDesignNominalDateAndTimeAssignment.

virtual Standard_EXPORT void StepBasic_DateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aRole
| ) | `[virtual]`

| Reimplemented in StepAP214_AppliedDateAndTimeAssignment, StepAP214_AutoDesignActualDateAndTimeAssignment, and StepAP214_AutoDesignNominalDateAndTimeAssignment.

Standard_EXPORT Handle_StepBasic_DateTimeRole StepBasic_DateAndTimeAssignment::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_DateAndTimeAssignment::SetAssignedDateAndTime | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime | ) |

Standard_EXPORT void StepBasic_DateAndTimeAssignment::SetRole | ( | const Handle(StepBasic_DateTimeRole)& | aRole | ) |

## Field Documentation

Handle_StepBasic_DateAndTime StepBasic_DateAndTimeAssignment::assignedDateAndTime `[private]`

Handle_StepBasic_DateTimeRole StepBasic_DateAndTimeAssignment::role `[private]`

The documentation for this class was generated from the following file:

- StepBasic_DateAndTimeAssignment.hxx